<?php

/**
 * Created by Turkialawlqy.
 * Web Site: http://www.xf-ar.com
 * Email: turkialawlqy@gmail.com
 * Date: 17/12/2014
 * Time: 12:45 م
 */
class Turki_Package_Route_Prefix_Index implements XenForo_Route_Interface
{
    protected $controllerName;
    protected $majorSection = '';
    protected $minorSection = '';
    protected $paramName = '';
    protected $titleField = '';

    public function match($routePath, Zend_Controller_Request_Http $request, XenForo_Router $router)
    {
        $action = $router->resolveActionWithIntegerParam($routePath, $request, $this->paramName);

        return $router->getRouteMatch($this->controllerName, $action, $this->majorSection, $this->minorSection);
    }

    public function buildLink($originalPrefix, $outputPrefix, $action, $extension, $data, array &$extraParams)
    {
        return XenForo_Link::buildBasicLinkWithIntegerParam($outputPrefix, $action, $extension, $data, $this->paramName, $this->titleField);
    }

}